Loading...
Searching...
No Matches
svn_client_commit_item3_t Struct Reference
Client supporting subsystem » Client commit subsystem

The commit candidate structure. More...

`#include <svn_client.h>`

## Data Fields

const char * | path
| absolute working-copy path of item.
svn_node_kind_t | kind
| node kind (dir, file)
const char * | url
| commit URL for this item.
svn_revnum_t | revision
| revision of textbase
const char * | copyfrom_url
| copyfrom-url or NULL if not a copied item
svn_revnum_t | copyfrom_rev
| copyfrom-rev, valid when copyfrom_url != NULL
apr_byte_t | state_flags
| state flags
apr_array_header_t * | incoming_prop_changes
| An array of svn_prop_t *'s, which are incoming changes from the repository to WC properties.
apr_array_header_t * | outgoing_prop_changes
| An array of svn_prop_t *'s, which are outgoing changes to make to properties in the repository.
const char * | session_relpath
| When processing the commit this contains the relative path for the commit session.
const char * | moved_from_abspath
| When committing a move, this contains the absolute path where the node was directly moved from.

## Detailed Description

The commit candidate structure.

In order to avoid backwards compatibility problems clients should use svn_client_commit_item3_create() to allocate and initialize this structure instead of doing so themselves.

Since
  New in 1.5.

Definition at line 464 of file svn_client.h.

## Field Documentation

## copyfrom_rev

svn_revnum_t svn_client_commit_item3_t::copyfrom_rev

copyfrom-rev, valid when copyfrom_url != NULL

Definition at line 490 of file svn_client.h.

## copyfrom_url

const char* svn_client_commit_item3_t::copyfrom_url

copyfrom-url or NULL if not a copied item

Definition at line 487 of file svn_client.h.

## incoming_prop_changes

apr_array_header_t* svn_client_commit_item3_t::incoming_prop_changes

An array of svn_prop_t *'s, which are incoming changes from the repository to WC properties.

These changes are applied post-commit.

When adding to this array, allocate the svn_prop_t and its contents in `incoming_prop_changes->pool`, so that it has the same lifetime as this data structure.

See https://issues.apache.org/jira/browse/SVN-806 for a description of what would happen if the post-commit process didn't group these changes together with all other changes to the item.

Definition at line 508 of file svn_client.h.

## kind

svn_node_kind_t svn_client_commit_item3_t::kind

node kind (dir, file)

Definition at line 476 of file svn_client.h.

## moved_from_abspath

const char* svn_client_commit_item3_t::moved_from_abspath

When committing a move, this contains the absolute path where the node was directly moved from.

(If an ancestor at the original location was moved then it points to where the node itself was moved from; not the original location.)

Since
  New in 1.8.

Definition at line 535 of file svn_client.h.

## outgoing_prop_changes

apr_array_header_t* svn_client_commit_item3_t::outgoing_prop_changes

An array of svn_prop_t *'s, which are outgoing changes to make to properties in the repository.

These extra property changes are declared pre-commit, and applied to the repository as part of a commit.

When adding to this array, allocate the svn_prop_t and its contents in `outgoing_prop_changes->pool`, so that it has the same lifetime as this data structure.

Definition at line 519 of file svn_client.h.

## path

const char* svn_client_commit_item3_t::path

absolute working-copy path of item.

Always set during normal commits (and copies from a working copy) to the repository. Can only be NULL when stub commit items are created for operations that only involve direct repository operations. During WC->REPOS copy operations, this path is the WC source path of the operation.

Definition at line 473 of file svn_client.h.

## revision

svn_revnum_t svn_client_commit_item3_t::revision

revision of textbase

Definition at line 484 of file svn_client.h.

## session_relpath

const char* svn_client_commit_item3_t::session_relpath

When processing the commit this contains the relative path for the commit session.

NULL until the commit item is preprocessed.

Since
  New in 1.7.

Definition at line 526 of file svn_client.h.

## state_flags

apr_byte_t svn_client_commit_item3_t::state_flags

state flags

Definition at line 493 of file svn_client.h.

## url

const char* svn_client_commit_item3_t::url

commit URL for this item.

Points to the repository location of PATH during commits, or to the final URL of the item when copying from the working copy to the repository.

Definition at line 481 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h